startup error affecting find duplicates action

Bug #1924824 reported by Garth Newton
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
calibre
Fix Released
Undecided
Unassigned

Bug Description

On starting Calibre v5.15.0 on Windows 10 Calibre reports a startup error this way:

calibre, version 5.15.0
ERROR: Startup error: There was an error during calibre startup. Parts of calibre may not function. Click Show details to learn more.

Traceback (most recent call last):
  File "calibre\gui2\ui.py", line 391, in initialize
  File "calibre_plugins.find_duplicates.action", line 54, in initialization_complete
  File "calibre_plugins.find_duplicates.duplicates", line 69, in __init__
  File "calibre_plugins.find_duplicates.config", line 111, in get_exemption_lists
NameError: name 'xrange' is not defined

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "calibre\gui2\main.py", line 313, in initialize_db_stage2
  File "calibre\gui2\main.py", line 257, in start_gui
  File "calibre\gui2\ui.py", line 395, in initialize
AttributeError: 'FindDuplicatesAction' object has no attribute 'installation_type'

The debug report shows similar information:

calibre Debug log
calibre 5.15 embedded-python: True is64bit: False
Windows-10-10.0.19041 Windows ('32bit', 'WindowsPE')
32bit process running on 64bit windows
('Windows', '10', '10.0.19041')
Python 3.8.5
Windows: ('10', '10.0.19041', '', 'Multiprocessor Free')
Interface language: None
Successfully initialized third party plugins: Find Duplicates (1, 6, 3)
calibre 5.15 embedded-python: True is64bit: False
Windows-10-10.0.19041 Windows ('32bit', 'WindowsPE')
32bit process running on 64bit windows
('Windows', '10', '10.0.19041')
Python 3.8.5
Windows: ('10', '10.0.19041', '', 'Multiprocessor Free')
Interface language: None
Successfully initialized third party plugins: Find Duplicates (1, 6, 3)
Turning on automatic hidpi scaling
devicePixelRatio: 1.0
logicalDpi: 96.0 x 96.0
physicalDpi: 92.53889943074003 x 92.67567567567568
Using calibre Qt style: True
[0.00] Starting up...
[0.00] Showing splash screen...
[0.56] splash screen shown
[0.56] Initializing db...
[1.03] db initialized
[1.03] Constructing main UI...
[2.08] main UI initialized...
[2.08] Hiding splash screen
[2.42] splash screen hidden
Traceback (most recent call last):
  File "calibre\gui2\ui.py", line 391, in initialize
  File "calibre_plugins.find_duplicates.action", line 54, in initialization_complete
  File "calibre_plugins.find_duplicates.duplicates", line 69, in __init__
  File "calibre_plugins.find_duplicates.config", line 111, in get_exemption_lists
NameError: name 'xrange' is not defined
Traceback (most recent call last):
  File "calibre\gui2\ui.py", line 1203, in closeEvent
  File "calibre\gui2\ui.py", line 1130, in shutdown
AttributeError: 'Main' object has no attribute 'listener'

When running Calibre crashes when the Find Duplicates button is clicked.

Revision history for this message
Kovid Goyal (kovid) wrote : Fixed in master

Fixed in branch master. The fix will be in the next release. calibre is usually released every alternate Friday.

 status fixreleased

Revision history for this message
Kovid Goyal (kovid) wrote : Re: calibre bug 1924824

Just update the Find Duplicates plugin or uninstall it from
Preferences->Plugins and you will be fine.

Changed in calibre:
status: New → Fix Released
Revision history for this message
Garth Newton (bobby-newmark) wrote :

Thank you!

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers